/* include this header in game code to get the usable parts of the engine */
#ifndef GAME_API_H
#define GAME_API_H


#include "townengine/context.h"
#include "townengine/rendering.h"
#include "townengine/audio.h"
#include "townengine/util.h"
#include "townengine/input.h"
#include "twn_engine_api.h"


/* sole game logic and display function.
   all state must be used from and saved to supplied state pointer. */
TWN_API extern void game_tick(void);

/* called when application is closing. */
TWN_API extern void game_end(void);


#endif
